<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Models\Testovanie;

/**
 * Enum HodnotenieOdpovedeEnum
 *
 * @package Seka\Vzdelavanie\Models\Testovanie
 */
enum HodnotenieOdpovedeEnum: string
{
    case SPRAVNA = 'SPRAVNA';
    case NESPRAVNA = 'NESPRAVNA';

    /**
     * @return string
     */
    public function getLabel(): string
    {
        return match ($this) {
            self::SPRAVNA, self::NESPRAVNA => self::labels()[$this->value],
        };
    }

    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'SPRAVNA' => 'správna',
            'NESPRAVNA' => 'nesprávna',
        ];
    }
}
